src/mesh/cs_join_merge.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions
cs_join_merge.c File Reference
`#include "cs_defs.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <math.h>`
`#include <float.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_io_num.h"`
`#include "cs_block_dist.h"`
`#include "cs_log.h"`
`#include "cs_order.h"`
`#include "cs_search.h"`
`#include "cs_join_post.h"`
`#include "cs_parall.h"`
`#include "cs_join_merge.h"`
Include dependency graph for cs_join_merge.c:

## Macros
#define | CS_JOIN_MERGE_TOL_REDUC 1
#define | CS_JOIN_MERGE_INV_TOL 1

## Enumerations
enum | { CS_JOIN_MERGE_MAX_GLOB_ITERS = 50, CS_JOIN_MERGE_MAX_LOC_ITERS = 100 }

## Functions
void | cs_join_create_new_vertices (int verbosity, const cs_join_edges_t *edges, cs_join_mesh_t *work, cs_join_inter_set_t *inter_set, cs_gnum_t init_max_vtx_gnum, cs_gnum_t *p_n_g_new_vertices, cs_join_eset_t **p_vtx_eset)
void | cs_join_merge_vertices (cs_join_param_t param, cs_gnum_t n_g_vertices_tot, cs_join_mesh_t *work, const cs_join_eset_t *vtx_eset)
void | cs_join_merge_update_struct (cs_join_param_t param, cs_lnum_t n_iwm_vertices, const cs_gnum_t iwm_vtx_gnum[], cs_gnum_t init_max_vtx_gnum, const cs_gnum_t rank_face_gnum_index[], cs_join_mesh_t **p_mesh, cs_join_edges_t **p_edges, cs_join_inter_edges_t **p_inter_edges, cs_join_mesh_t **p_local_mesh, cs_gnum_t *p_o2n_vtx_gnum[])

## Macro Definition Documentation

#define CS_JOIN_MERGE_INV_TOL 1

#define CS_JOIN_MERGE_TOL_REDUC 1

## Enumeration Type Documentation

anonymous enum

Enumerator
CS_JOIN_MERGE_MAX_GLOB_ITERS |
CS_JOIN_MERGE_MAX_LOC_ITERS |

## Function Documentation

void cs_join_create_new_vertices | ( | int | verbosity,
|  | const cs_join_edges_t * | edges,
|  | cs_join_mesh_t * | work,
|  | cs_join_inter_set_t * | inter_set,
|  | cs_gnum_t | init_max_vtx_gnum,
|  | cs_gnum_t * | p_n_g_new_vertices,
|  | cs_join_eset_t ** | p_vtx_eset
| ) |  |

void cs_join_merge_update_struct | ( | cs_join_param_t | param,
|  | cs_lnum_t | n_iwm_vertices,
|  | const cs_gnum_t | iwm_vtx_gnum[],
|  | cs_gnum_t | init_max_vtx_gnum,
|  | const cs_gnum_t | rank_face_gnum_index[],
|  | cs_join_mesh_t ** | p_mesh,
|  | cs_join_edges_t ** | p_edges,
|  | cs_join_inter_edges_t ** | p_inter_edges,
|  | cs_join_mesh_t ** | p_local_mesh,
|  | cs_gnum_t * | p_o2n_vtx_gnum[]
| ) |  |

void cs_join_merge_vertices | ( | cs_join_param_t | param,
|  | cs_gnum_t | n_g_vertices_tot,
|  | cs_join_mesh_t * | work,
|  | const cs_join_eset_t * | vtx_eset
| ) |  |